Bug 149138 - Compiler hangs when installing QT3.3.4
Compiler hangs when installing QT3.3.4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-18 23:00 EST by Charles Pearson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-19 13:12:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Pearson 2005-02-18 23:00:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
(.....)
g++ -c -pipe -Wall -W -O2 -fPIC -DQT_SHARED -DQT_NO_DEBUG
-D_LARGEFILE_SOURCE -D_LARGE_FILES -D_FILE_OFFSET_BITS=64
-DQT_NO_IMAGEIO_MNG -DQT_NO_IMAGEIO_JPEG -DQT_NO_STYLE_MAC
-DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP
-DQT_NO_STYLE_COMPACT -DQT_NO_STYLE_POCKETPC
-I/home/charles/qt-x11-free-3.3.4/mkspecs/linux-g++ -I.
-I/usr/include/freetype2 -I3rdparty/libpng -I3rdparty/zlib
-I3rdparty/opentype -I../include -I/usr/X11R6/include
-I.moc/release-shared/ -o .obj/release-shared/qfiledialog.o
dialogs/qfiledialog.cpp
dialogs/qfiledialog.cpp: In constructor
`QFileDialog::QFileDialog(const QString&, const QString&, QWidget*,
const char*, bool)':
dialogs/qfiledialog.cpp:257: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [.obj/release-shared/qfiledialog.o] Error 1
make[2]: Leaving directory `/home/charles/qt-x11-free-3.3.4/src'
make[1]: *** [sub-src] Error 2
make[1]: Leaving directory `/home/charles/qt-x11-free-3.3.4'
make: *** [init] Error 2
[root@localhost qt-x11-free-3.3.4]#


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download QT3.3.4
2.Configure QT3.3.4
3.make QT3.3.4
    

Actual Results:  (.....)
g++ -c -pipe -Wall -W -O2 -fPIC -DQT_SHARED -DQT_NO_DEBUG
-D_LARGEFILE_SOURCE -D_LARGE_FILES -D_FILE_OFFSET_BITS=64
-DQT_NO_IMAGEIO_MNG -DQT_NO_IMAGEIO_JPEG -DQT_NO_STYLE_MAC
-DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP
-DQT_NO_STYLE_COMPACT -DQT_NO_STYLE_POCKETPC
-I/home/charles/qt-x11-free-3.3.4/mkspecs/linux-g++ -I.
-I/usr/include/freetype2 -I3rdparty/libpng -I3rdparty/zlib
-I3rdparty/opentype -I../include -I/usr/X11R6/include
-I.moc/release-shared/ -o .obj/release-shared/qfiledialog.o
dialogs/qfiledialog.cpp
dialogs/qfiledialog.cpp: In constructor
`QFileDialog::QFileDialog(const QString&, const QString&, QWidget*,
const char*, bool)':
dialogs/qfiledialog.cpp:257: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [.obj/release-shared/qfiledialog.o] Error 1
make[2]: Leaving directory `/home/charles/qt-x11-free-3.3.4/src'
make[1]: *** [sub-src] Error 2
make[1]: Leaving directory `/home/charles/qt-x11-free-3.3.4'
make: *** [init] Error 2
[root@localhost qt-x11-free-3.3.4]#

Additional info:
Comment 1 Jakub Jelinek 2005-02-19 13:12:33 EST
See what the compiler wrote.  Your hardware is most likely flakey.

Note You need to log in before you can comment on or make changes to this bug.